# List provider licenses Returns a page of provider licenses. Endpoint: GET /provider-licenses Version: 26.2.0.4309 Security: Bearer ## Query parameters: - `providerName` (string) If set, the items will be filtered on providers with the specified (first or last) name. - `providerCredentialingStatus` (array) If set, the items will be filtered on providers with the specified credentialing status. - `licenseState` (string) If set, the items will be filtered on licenses with the specified license state. Enum: "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "AS", "GU", "MP", "PR", "VI" - `licenseType` (string) If set, the items will be filtered on licenses with the specified license type. - `licenseStatus` (string) If set, the items will be filtered on licenses with the specified license status. Enum: "None", "Active", "Expired", "ExpiresSoon", "DisciplinaryActions", "Found", "NotFound", "UnableToVerify", "NeedsReview", "All" - `licenseVerificationStatus` (string) If set, the items will be filtered on licenses with the verification status. Enum: "Verified", "Unverified" - `licenseApprovedStatus` (array) Enum: "Pending", "Yes", "No" - `export` (string) Enum: "None", "Csv" - `providerDeactivated` (boolean) - `sortedBy` (string) The property by which the returned data will be sorted. Enum: "ProviderFirstName", "ProviderLastName", "LicenseState", "LicenseExpirationDate" - `sort` (object) If set, the properties and directions the returned data will be sorted by. - `cursor` (string) The cursor to render the page requested. To load the first page send an empty cursor, then the system will generate the cursors to go to the next and/or previous pages automatically. - `count` (integer) The number of items to include in a single page. - `sortDirection` (string) The direction the returned data will be sorted by. Enum: "Asc", "Desc" - `offset` (integer) The offset for the page to start. ## Response 200 fields (application/json): - `sort` (object) The properties and directions the data is sorted by. Example: {"ProviderFirstName":"Asc","ProviderLastName":"Desc"} - `sort.Keys` (string) Enum: "ProviderFirstName", "ProviderLastName", "LicenseState", "LicenseExpirationDate" - `sort.Values` (string) Enum: "Asc", "Desc" - `previousCursor` (string) The value to use for cursor to get to the previous paginated page. null will be returned if it's the first page. Example: "string" - `nextCursor` (string) The value to use for cursor to get to the next paginated page. null will be returned if it's the last page. Example: "string" - `pageSize` (integer) The maximum number of items included in this page. - `count` (integer) The number of items in this page. - `totalCount` (integer) The total number of items in all pages combined. - `items` (array) The providers licenses in the current page. Example: [{"provider":{"id":"497f6eca-6276-4993-bfeb-53cbbbba6f08","firstName":"string","lastName":"string","dateOfBirth":"2019-08-24T14:15:22.0000000Z","ssn":"***","credentialingStatus":"string","credentialedDate":"2019-08-24T14:15:22.0000000Z","npi":0},"license":{"providerId":"4834bcdc-4a64-444d-966b-1a6fe381da24","number":"string","state":"AL","isPrimary":true,"id":"497f6eca-6276-4993-bfeb-53cbbbba6f08","isCurrentlyPracticing":true,"status":"string","expiryDate":"2019-08-24T14:15:22.0000000Z","verificationStatus":"Verified","licenseTypeId":"acac9426-ab93-4f79-a277-f4ccd1b60206","licenseTypeName":"string","approvedStatus":"Pending"}}] - `items.provider` (object) - `items.provider.id` (string) - `items.provider.firstName` (string, required) - `items.provider.lastName` (string, required) - `items.provider.dateOfBirth` (string,null) - `items.provider.ssn` (string,null) - `items.provider.credentialingStatus` (string, required) - `items.provider.credentialedDate` (string,null) - `items.provider.nextCredentialingDate` (string,null) - `items.provider.npi` (integer,null) - `items.provider.deactivated` (boolean) - `items.provider.deactivatedAt` (string,null) - `items.license` (object) - `items.license.providerId` (string) - `items.license.number` (string,null) - `items.license.state` (string) Enum: "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "AS", "GU", "MP", "PR", "VI" - `items.license.isPrimary` (boolean) - `items.license.isCurrentlyPracticing` (boolean) - `items.license.status` (string,null) - `items.license.issueDate` (string,null) - `items.license.expiryDate` (string,null) - `items.license.verificationStatus` (string,null) Enum: "Verified", "Unverified" - `items.license.licenseTypeId` (string) - `items.license.licenseTypeName` (string,null) - `items.license.approvedStatus` (string) Enum: "Pending", "Yes", "No" - `items.license.restrictionStatus` (string) Enum: "None", "Restricted", "Unrestricted" - `items.license.nonVerifiedInfoIssueDate` (string,null) - `items.license.nonVerifiedInfoExpirationDate` (string,null) - `items.license.nonVerifiedInfoStatus` (string,null) - `sortedBy` (string) The property by which the data is sorted. Enum: "ProviderFirstName", "ProviderLastName", "LicenseState", "LicenseExpirationDate" - `sortDirection` (string) The direction in which the data is sorted. Enum: "Asc", "Desc" - `nextOffset` (integer) The value to use for offset to get the next page following the current page or null if this page is the last. ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 500 fields